# TickLens

Tick Lens contract

*Developer note: Credit to Uniswap Labs under GPL-2.0-or-later license: <https://github.com/Uniswap/v3-periphery>*

## Functions

### getPopulatedTicksInWord

`function getPopulatedTicksInWord(address pool, int16 tickTableIndex) public view returns (struct ITickLens.PopulatedTick[] populatedTicks)` view public

Get all the tick data for the populated ticks from a word of the tick bitmap of a pool

| Name                          | Type    | Description                                                                |
| ----------------------------- | ------- | -------------------------------------------------------------------------- |
| pool                          | address | The address of the pool for which to fetch populated tick data             |
| tickTableIndex                | int16   | The index of the word in the tick bitmap for which to parse the bitmap and |
| fetch all the populated ticks |         |                                                                            |

**Returns:**

| Name           | Type                              | Description                                                 |
| -------------- | --------------------------------- | ----------------------------------------------------------- |
| populatedTicks | struct ITickLens.PopulatedTick\[] | An array of tick data for the given word in the tick bitmap |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.9-directional-fees/v1.9-directional-fees-periphery/ticklens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
